category-details resource endpoint
URL: /blogs/<id>/category-details.<format>
Supported Methods
| GET | Get a list of objects representing the categories defined for the selected blog along with some category metadata. |
Query String Arguments
- start-index
- Index of the first item to return. The first item in the list has index 1.
- max-results
- Maximum number of items to return in the list response.
Resource Type
This endpoint returns an object of type List<BlogCategoryDetails>.
- entries (array<BlogCategoryDetails>)
- The items within the selected range.
- totalResults (integer)
- The total number of items in the whole list of which this object is a chunk.
Client Library Methods for PHP
- Get a list of objects representing the categories defined for the selected blog along with some category metadata.
$tp->blogs->getCategoryDetails(array( # Required Parameters "id" => $id, # Optional Parameters "limit" => $limit, "offset" => $offset, ))
Example Request
GET /blogs/6a012877b13de7970c012877b13df1970c/category-details.json?max-results=4 HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 641
{
"entries": [
{
"usageCount": 0,
"archiveUrl": "http://bobloblaw.typepad.com/blog/books/",
"label": "Books"
},
{
"usageCount": 0,
"archiveUrl": "http://bobloblaw.typepad.com/blog/current-affairs/",
"label": "Current Affairs"
},
{
"usageCount": 0,
"archiveUrl": "http://bobloblaw.typepad.com/blog/film/",
"label": "Film"
},
{
"usageCount": 0,
"archiveUrl": "http://bobloblaw.typepad.com/blog/food-and-drink/",
"label": "Food and Drink"
}
],
"totalResults": 13
}